UDisks Reference Manual: org.freedesktop.UDisks2.Manager

## org.freedesktop.UDisks2.Manager org.freedesktop.UDisks2.Manager — Manager singleton |

## Methods

    LoopSetup    (IN  h     fd,
                  IN  a{sv} options,
                  OUT o     resulting_device);
    MDRaidCreate (IN  ao    blocks,
                  IN  s     level,
                  IN  s     name,
                  IN  t     chunk,
                  IN  a{sv} options,
                  OUT o     resulting_array);

## Properties

    Version  readable   s

## Description

Interface for top-level manager singleton object located at the object path `/org/freedesktop/UDisks2/Manager`.

## Method Details

### The LoopSetup() method

    LoopSetup (IN  h     fd,
               IN  a{sv} options,
               OUT o     resulting_device);

Creates a block device for the file represented by `fd`.

`IN h `fd``: | An index for the file descriptor to use.
`IN a{sv} `options``: | Options - known options (in addition to standard options) includes `offset` (of type 't'), `size` (of type 't'), `read-only` (of type 'b') and `no-part-scan` (of type 'b').
`OUT o `resulting_device``: | An object path to the object implementing the org.freedesktop.UDisks2.Block interface.

### The MDRaidCreate() method

    MDRaidCreate (IN  ao    blocks,
                  IN  s     level,
                  IN  s     name,
                  IN  t     chunk,
                  IN  a{sv} options,
                  OUT o     resulting_array);

Creates a new RAID array on the block devices specified by `blocks`. Each element in this array must be an object path to an object implementing the org.freedesktop.UDisks2.Block interface.

Known and supported values for `level` include “raid0”, “raid1”, “raid4”, “raid5”, “raid6” and “raid10”.

Before the array is created, all devices in `blocks` are erased. Once created (but before the method returns), the RAID array will be erased.

`IN ao `blocks``: | An array of object paths to objects implementing the org.freedesktop.UDisks2.Block interface.
`IN s `level``: | The RAID level for the array.
`IN s `name``: | The name for the array.
`IN t `chunk``: | The chunk size (in bytes) or 0 if `level` is “raid1”.
`IN a{sv} `options``: | Options (currently unused except for standard options).
`OUT o `resulting_array``: | An object path to the object implementing the org.freedesktop.UDisks2.MDRaid interface.

Since 2.1

## Property Details

### The "Version" property

    Version  readable   s

The version of the daemon currently running